# Generated by Django 2.1.2 on 2018-11-16 10:02

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='LikesReview',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='Restaurant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=120)),
                ('category', models.CharField(max_length=120)),
                ('country', models.CharField(max_length=120)),
                ('street', models.CharField(max_length=120)),
                ('city', models.CharField(max_length=120)),
                ('zip', models.IntegerField(null=True)),
                ('website', models.CharField(max_length=120)),
                ('phone', models.CharField(max_length=24)),
                ('email', models.EmailField(max_length=254, null=True)),
                ('opening_hours', models.CharField(max_length=120)),
                ('price_level', models.IntegerField()),
                ('image', models.CharField(max_length=300)),
                ('restaurant_creator', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='restaurant_created', to=settings.AUTH_USER_MODEL, verbose_name='Restaurant Creator')),
            ],
        ),
        migrations.CreateModel(
            name='Reviews',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField(max_length=2000)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now_add=True)),
                ('rating', models.IntegerField(null=True)),
                ('belongs_to_restaurant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='restaurant_reviews', to='restaurants.Restaurant')),
                ('owner_of_review', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reviews', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='likesreview',
            name='likes_review',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='review_likes', to='restaurants.Reviews'),
        ),
    ]
